/*
   SysUtils - a library to assist with various system-related functions
   Copyright (C) 2020  Brent Saner

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

package exec_extra

import (
	"os/exec"
)

func ExecCmdReturn(cmd *exec.Cmd) (exitStatus int, err error) {
	// https://stackoverflow.com/a/55055100/733214
	err = cmd.Run()
	exitErr, _ := err.(*exec.ExitError)
	exitStatus = exitErr.ExitCode()
	return
}
